#ifndef ENTITY_H
#define ENTITY_H

#include <string>

#include <boost/uuid/uuid.hpp>

class Entity
{
  public:
    Entity();
    virtual ~Entity() = 0;
    const boost::uuids::uuid& getUuid() { return uuid; };
    void createUuid();
    void createUuidFromString(const std::string& uuid_string);

  private:
    boost::uuids::uuid uuid{};
};

#endif // ENTITY_H